@font-face {
  font-family: "HusC_Font"; /* set name */
  src: url("../assets/font/husc-default.ttf"); /* url of the font */
}

body {
  /*display: flex;
  align-items: flex-start;
  justify-content: center;
  min-height: 100vh;*/

  font-family: "HusC_Font";
  /* background-image: linear-gradient(135deg, rgba(236, 35, 99, 1) 0%,rgba(240, 75, 89, 1) 5%,rgba(242, 108, 72, 1) 10%,rgba(245, 130, 65, 1) 15%,rgba(249, 173, 79, 1) 20%,rgba(253, 201, 83, 1) 25%,rgba(249, 230, 101, 1) 30%,rgba(229, 230, 94, 1) 35%,rgba(174, 210, 88, 1) 40%,rgba(119, 193, 96, 1) 45%,rgba(80, 186, 114, 1) 50%,rgba(62, 184, 142, 1) 55%,rgba(70, 190, 191, 1) 60%,rgba(78, 167, 199, 1) 65%,rgba(68, 150, 190, 1) 70%,rgba(65, 139, 186, 1) 75%,rgba(64, 113, 178, 1) 80%,rgba(112, 96, 159, 1) 85%,rgba(148, 56, 121, 1) 90%,rgba(164, 68, 131, 1) 95%,rgba(214, 49, 105, 1) 100%); */

  background: url(../assets/img/backgroundweb.png) no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  image-rendering: pixelated;
  color: #f2f2f2;
}

/********************************** Navigation bar contents **********************************/

.topnav {
  overflow: hidden;

  margin: 0 auto;
  background: rgb(10, 10, 10, 0.9);
  border-radius: 20px;
  margin-bottom: 10px;
  /*Quick guide to box-shadow:
    First two numbers are vertical and horizontal offset.
    Third number is how far to spread the fuzzy effect.
    Fourth number is how much solid border/shadow there should be before the fuzzy effect begins.
  */
  box-shadow: 0px 0px 15px 2px #42c6ff;
  font-size: 28px;


  list-style:none;
  display:flex;
  flex-wrap:no-wrap;
  justify-content:center;
  margin-left:0;
  text-align:center;
}
.topnav a {
  text-decoration: none;
  padding: 0.9rem 2rem;
}
.topnav a:hover {
  background-color: #ddd;
  color: black;
}

.active {
  background-color: #42c6ff;
  color: black;
}

.passive {
  color:#f2f2f2;
}

.topnav a img {
  max-height:2rem;
  width:auto;
  image-rendering: auto;
  padding: 0px 0px;
  margin-right:5px;
  margin-bottom:0.4rem;
}
/********************************** Navigation bar contents **********************************/


/********************************** Static elements **********************************/
a {
  color: #33c1ff;
  }

a:hover {
  color: #95dfff;
  }
/********************************** Static elements **********************************/

/********************************** Links **********************************/
.links {
  border-top: 1px solid #ccc;
  background: rgb(238, 238, 238, 0.05);
  padding-left: 25px;
  padding-right: 25px;
  list-style-type:none;
  text-align: center;
  font-size:21px;
  }

.link {
  display: inline-block;
  padding: 10px 10px 15px 10px;
  text-align: center;
  }

/*For the first link in the links bar*/
.barlink-first {
  display: inline-block;
  border-right: 1px solid #ccc;
  padding: 2px;
  padding-right: 11px;
  padding-bottom: 15px;
  padding-top: 10px;
  text-align: center;
  }

.barlink {
  display: inline-block;
  border-right: 1px solid #ccc;
  padding: 10px 10px 15px 10px;
  text-align: center;
  }

/*For the last link in the links bar*/
.barlink-last {
  display: inline-block;
  padding: 2px;
  padding-left: 9px;
  padding-bottom: 15px;
  padding-top: 10px;
  text-align: center;
  }
/********************************** Links **********************************/

/********************************** notification **********************************/
@keyframes notif_bgcolor {
    0% {
        background-color: rgba(10, 10, 10, 0.9)
    }

    10% {
        background-color: rgba(16, 11, 15, 0.9)
    }

    20% {
        background-color: rgba(22, 12, 16, 0.9)
    }

    30% {
        background-color: rgba(33, 13, 23, 0.9)
    }

    40% {
        background-color: rgba(42, 15, 30, 0.9)
    }

    50% {
        background-color: rgba(50, 17, 35, 0.9)
    }

    60% {
        background-color: rgba(58, 20, 39, 0.9)
    }

    70% {
        background-color: rgba(65, 22, 45, 0.9)
    }

    80% {
        background-color: rgba(70, 24, 50, 0.9)
    }

    90% {
        background-color: rgba(75, 26, 55, 0.9)
    }

    100% {
        background-color: rgba(80, 29, 60, 0.9)
    }
}
.notification {
  position: fixed;
  bottom: 0%;
  right: 1%;
  margin: 0 auto;
  max-width: 18vw;

  -webkit-animation: notif_bgcolor 1s infinite;
    animation: notif_bgcolor 1s infinite;
    -webkit-animation-direction: alternate;
    animation-direction: alternate;

  border-radius: 20px;
  margin-top: 10px;
  margin-bottom: 15px;
  border: 9px solid rgba(200, 68, 151, 1);
  text-align: center;
  }
.notification p {
  margin-bottom:0px;
}
.notification img {
  padding-bottom:0px;
}
/********************************** notification **********************************/

/********************************** Main **********************************/
.main {
  margin: 0 auto;
  width: 50vw;
  background: rgb(10, 10, 10, 0.9);
  border-radius: 20px;
  margin-top: 30px;
  margin-bottom: 40px;
  /*Quick guide to box-shadow:
    First two numbers are vertical and horizontal offset.
    Third number is how far to spread the fuzzy effect.
    Fourth number is how much solid border/shadow there should be before the fuzzy effect begins.
  */
  box-shadow: 0px 0px 15px 2px #42c6ff;
  }

.main-inner {
  padding: 25px;
  padding-top: 15px;
  padding-bottom: 15px;
  line-height: 150%;
  }

/*Prevent image overflow*/
.main img {
  max-width: 40vw;
  height: auto;
  image-rendering: auto;
  }

.centered-img {
  display: block;
  margin:auto;
}

.main h1 {
  padding-top: 10px;
  padding-left: 10px;
  padding-right: 10px;
  text-align: center;
  font-size:35px;
}
.main h3 {
  font-size: 21px;
}

.main p {
  font-size: 14px;
}

.main ul {
  padding-bottom: 6px;
  font-size: 14px;
}

.main ol {
  padding-bottom: 6px;
}
/********************************** Main **********************************/


/********************************** Credits **********************************/
.creditlist {
  margin-top: 10px;
  margin-bottom: 10px;
  height: 120px;
  }

.creditlist img {
  width: 100px;
  height: auto;
  margin-top: 5px;
  margin-bottom: 1px;
  margin-right: 5px;
  float: left;
  }
.pixel img {
  image-rendering: pixelated;
}

.creditlist strong {
  font-weight:400;
  text-decoration: underline;
  text-decoration-thickness: 25%;
}
/********************************** Credits **********************************/

/********************************** tables **********************************/

.ability_table {
  width: 100%;
  text-align:center;
  background:rgba(200, 68, 151, 1);
  border-radius:10px;
  color:black;
  font-size:14px;
  margin-bottom:10px;
}

.ability_th {
  background-color:rgba(220, 108, 171, 1);
  font-size:21px;
  font-weight:400;
  padding: 4px 0px;
}

.left {
  border-top-left-radius: 8px;
  -moz-border-radius-topleft: 8px;
  -webkit-border-top-left-radius: 8px;
  -khtml-border-top-left-radius: 8px;
  -icab-border-top-left-radius: 8px;
  -o-border-top-left-radius: 8px;
}

.right {
  border-top-right-radius: 8px;
  -moz-border-radius-topright: 8px;
  -webkit-border-top-right-radius: 8px;
  -khtml-border-top-right-radius: 8px;
  -icab-border-top-right-radius: 8px;
  -o-border-top-right-radius: 8px;
}

.ability_footer {
  background:rgba(220, 108, 171, 1);
  font-size:14px;
  padding: 0px 10px;
  border-bottom-left-radius: 8px;
  -moz-border-radius-bottomleft: 8px;
  -webkit-border-bottom-left-radius: 8px;
  -khtml-border-bottom-left-radius: 8px;
  -icab-border-bottom-left-radius: 8px;
  -o-border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  -moz-border-radius-bottomright: 8px;
  -webkit-border-bottom-right-radius: 8px;
  -khtml-border-bottom-right-radius: 8px;
  -icab-border-bottom-right-radius: 8px;
  -o-border-bottom-right-radius: 8px;
}

td {
  border-top-right-radius: 4px;
  -moz-border-radius-topright: 4px;
  -webkit-border-top-right-radius: 4px;
  -khtml-border-top-right-radius: 4px;
  -icab-border-top-right-radius: 4px;
  -o-border-top-right-radius: 4px;
  border-top-left-radius: 4px;
  -moz-border-radius-topleft: 4px;
  -webkit-border-top-left-radius: 4px;
  -khtml-border-top-left-radius: 4px;
  -icab-border-top-left-radius: 4px;
  -o-border-top-left-radius: 4px;
  border-bottom-right-radius: 4px;
  -moz-border-radius-bottomright: 4px;
  -webkit-border-bottom-right-radius: 4px;
  -khtml-border-bottom-right-radius: 4px;
  -icab-border-bottom-right-radius: 4px;
  -o-border-bottom-right-radius: 4px;
  border-bottom-left-radius: 4px;
  -moz-border-radius-bottomleft: 4px;
  -webkit-border-bottom-left-radius: 4px;
  -khtml-border-bottom-left-radius: 4px;
  -icab-border-bottom-left-radius: 4px;
  -o-border-bottom-left-radius: 4px;
}

.item_table {
  width: 100%;
  text-align:center;
  background:#1177cc;
  border-radius:10px;
  color:black;
  font-size:14px;
  margin-bottom:10px;
}

.item_th {
  background-color:#33c1ff;
  font-size:21px;
  font-weight:400;
  padding: 4px 0px;
}

.item_footer {
  background:#33c1ff;
  font-size:14px;
  padding: 0px 10px;
  border-bottom-left-radius: 8px;
  -moz-border-radius-bottomleft: 8px;
  -webkit-border-bottom-left-radius: 8px;
  -khtml-border-bottom-left-radius: 8px;
  -icab-border-bottom-left-radius: 8px;
  -o-border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  -moz-border-radius-bottomright: 8px;
  -webkit-border-bottom-right-radius: 8px;
  -khtml-border-bottom-right-radius: 8px;
  -icab-border-bottom-right-radius: 8px;
  -o-border-bottom-right-radius: 8px;
}

.effect_table {
  width: 100%;
  text-align:center;
  background:#428274;
  border-radius:10px;
  color:black;
  font-size:14px;
  margin-bottom:10px;
}

.effect_th {
  background-color:#82C274;
  font-size:21px;
  font-weight:400;
  padding: 4px 0px;
}

.effect_footer {
  background:#82C274;
  font-size:14px;
  padding: 0px 10px;
  border-bottom-left-radius: 8px;
  -moz-border-radius-bottomleft: 8px;
  -webkit-border-bottom-left-radius: 8px;
  -khtml-border-bottom-left-radius: 8px;
  -icab-border-bottom-left-radius: 8px;
  -o-border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  -moz-border-radius-bottomright: 8px;
  -webkit-border-bottom-right-radius: 8px;
  -khtml-border-bottom-right-radius: 8px;
  -icab-border-bottom-right-radius: 8px;
  -o-border-bottom-right-radius: 8px;
}

.move_table {
  width: 100%;
  text-align:center;
  background:#E62829;
  border-radius:10px;
  color:black;
  font-size:14px;
  margin-bottom:10px;
}

.move_th {
  background-color:#EF7374;
  font-size:21px;
  font-weight:400;
  padding: 4px 0px;
}

.move_footer {
  background:#EF7374;
  font-size:14px;
  padding: 0px 10px;
  border-bottom-left-radius: 8px;
  -moz-border-radius-bottomleft: 8px;
  -webkit-border-bottom-left-radius: 8px;
  -khtml-border-bottom-left-radius: 8px;
  -icab-border-bottom-left-radius: 8px;
  -o-border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  -moz-border-radius-bottomright: 8px;
  -webkit-border-bottom-right-radius: 8px;
  -khtml-border-bottom-right-radius: 8px;
  -icab-border-bottom-right-radius: 8px;
  -o-border-bottom-right-radius: 8px;
}


.info_td {
  text-align:left;
}
.white_td {
  background:#FFF;
}

.normal_td {
  background:#9FA19F;
  color: #f2f2f2;
}
.fire_td {
  background:#E62829;
  color: #f2f2f2;
}
.water_td {
  background:#2980EF;
  color: #f2f2f2;
}
.electric_td {
  background:#FAC000;
  color: #f2f2f2;
}
.grass_td {
  background:#3FA129;
  color: #f2f2f2;
}
.ice_td {
  background:#3DCEF3;
  color: #f2f2f2;
}
.fighting_td {
  background:#FF8000;
  color: #f2f2f2;
}
.poison_td {
  background:#9141CB;
  color: #f2f2f2;
}
.ground_td {
  background:#915121;
  color: #f2f2f2;
}
.flying_td {
  background:#81B9EF;
  color: #f2f2f2;
}
.psychic_td {
  background:#EF4179;
  color: #f2f2f2;
}
.bug_td {
  background:#91A119;
  color: #f2f2f2;
}
.rock_td {
  background:#AFA981;
  color: #f2f2f2;
}
.ghost_td {
  background:#704170;
  color: #f2f2f2;
}
.dragon_td {
  background:#5060E1;
  color: #f2f2f2;
}
.dark_td {
  background:#624D4E;
  color: #f2f2f2;
}
.steel_td {
  background:#60A1B8;
  color: #f2f2f2;
}
.fairy_td {
  background:#EF70EF;
  color: #f2f2f2;
}

.physical_td {
  background:#EB5628;
  color: #f2f2f2;
}
.special_td {
  background:#375AB2;
  color: #f2f2f2;
}
.status_td {
  background:#828282;
  color: #f2f2f2;
}

/********************************** tables **********************************/

#mobilemessage {
  display:none;
}

/*Mobile compatibility*/
@media(orientation: portrait) {
    .main {
      width: 80%;
      }

    .main img {
      max-width: 100%;
    }

    .barlink, .barlink-first {
      border-right: 0px;
    }

    .notification {
      position: relative;
      max-width: 80%;
      margin-top: 25px;
      border: 5px solid rgba(200, 68, 151, 1);
      }

    .topnav {
      display: grid;
      align-content:center;

      font-size:14px;
    }
    .topnav a {
      padding:0.5rem 0px;
    }



    #huskCredit {
      padding-bottom: 10rem;
    }
    #tekoCredit {
      padding-bottom: 5rem;
    }
    #eumelCredit {
      padding-bottom: 1rem;
    }
    #tommasoCredit {
      padding-bottom: 5rem;
    }
    #scarletCredit {
      padding-bottom: 3rem;
    }
    #weirdfoxCredit {
      padding-bottom: 5rem;
    }
    
    
    #mobilemessage {
      display:block;
    }
  }
